Docs
Update Rate
PUT /rate-cards/{rateCardId}/rates/{rateId}
PUT
/rate-cards/{rateCardId}/rates/{rateId}Replaces a rate row's fields. The state cannot change; add a new row instead. Requires ResourceTypeDatabase.Edit.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| rateCardId | uuid | Required | |
| rateId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| period | string | Optional | |
| costFixed | number | Optional | |
| costVariable | number | Optional | |
| chargeFixed | number | Optional | |
| chargeVariable | number | Optional | |
| coversHours | number | Optional | |
| costMinimumBillableUnits | number | Optional | |
| chargeMinimumBillableUnits | number | Optional | |
| resetDefinitionId | uuid | Optional |